<? 
global $X;
if(empty($FORM_NAME)) $FORM_NAME='default_'.$_GET['module'];


if($FLAT!=true) {
	if((int)$_GET['id']==0) {
		$new=1;
		$edit=0;
	} else {
		$new=0;
		$edit=1;
	}


	if($new) {
		$X->NAVI[]='Dodaj';
	} else {
		$X->NAVI[]='Edytuj';
		if($SKIP_READ!=true) $dane=$X->DB->fast(' SELECT * FROM '.$this->TABLE.' WHERE id="'.(int)$_GET['id'].'" ');
	}
}


/* 
if($skip_lock!=true) {
	$check=$CSA->LAY->check_lock();
	if(!empty($check)) return $check;
}
*/
?>